Subject: [ippm] Reordering drafts

From: Henk Uijterwaal <[email-masked]>
Date: Wed, 21 Dec 2005 15:14:45 +0100

IPPM Group

The WG has been discussing reordering since (at least) the London IETF
in 2001.  A metric was proposed at this meeting.  At the Salt Lake City
IETF in the same year, 3 more metrics were proposed.  Drafts were published
at the IETF53 (March 2002).  These were later merged into one document,
draft-ietf-ippm-reordering (mid 2002). This document was adopted by the WG
as a group document.  We will refer to this draft as the group draft.

In parallel, a group from Colorado State University (CSU) started to
work on another metric.  This resulted in a individual submission draft
(draft-jayasumana-reorder-density, with the first version from 2003).
We will refer to this draft as the CSU draft.

There appear to be 3 issues with these drafts.

1. Contents.

The authors of the second draft claim that the group draft does not
describe suitable metrics for measuring reordering.  They have made
their argument at several meetings and in postings, the latest one
is http://www.cnrl.colostate.edu/Reorder/compmetrics_for_ietf.pdf.
In our judgement, they seem to be alone in their opinion.  The group
draft been actively reviewed by at least 10 people in the group and
has been in its current state for at least a year (except for minor
changes in wording and clarifications).  In short, we believe that
this draft meets the "rough consensus" guideline, even though we
recognize that the CSU folks disagree with the draft.

2. Origin of the byte-offset metrics.

In parallel, the CSU group also claims that this metric has been
derived from their Reorder Buffer Density metric.  We seriously doubt
the validity of this claim.  The ideas behind the group draft were
discussed in 2001-2002 and the CSU draft is from a later date.  Also,
at least one of the authors of the CSU draft participated in the early
discussions on the group draft.  3-4 years after the discussion, it is
of course impossible to say who exactly made which point in these
discussions.  We also find it strange that this claim comes up years
after the fact.  A more extensive analysis of this issue can be found at
http://people.internet2.edu/~matt/IPPM/Reordering/PiratlaCommented.html

3. Should the CSU draft become a WG document?

The CSU group has repeatedly asked the WG to adopt their document as
a WG document.  So far, there has been no support for this, either
on the mailing list or in any of the meetings where the topic was
discussed.  While we acknowledge the work done by the CSU group, we
believe that there is currently no support or interest from the
WG for the CSU draft.

Next steps:

* The group draft has been stable for a year and the majority of the
   WG supports it.  We therefor propose to declare "rough consensus",
   do a WGLC and move the document forward.

* We will add a stable reference to the CSU draft in the group draft.

* We propose that the WG will not pick up the CSU draft as a WG document,
   as there seems to be no support for this.

Our position has been communicated to the AD.

We will make our final decision in about 2 weeks time.  Please raise
any points that you might have on the above on the list before
January 3, 2006.

Matt & Henk

------------------------------------------------------------------------------
Henk Uijterwaal                           Email: henk.uijterwaal(at)ripe.net
RIPE Network Coordination Centre          http://www.amsterdamned.org/~henk
P.O.Box 10096          Singel 258         Phone: +31.20.5354414
1001 EB Amsterdam      1016 AB Amsterdam  Fax: +31.20.5354445
The Netherlands        The Netherlands    Mobile: +31.6.55861746
------------------------------------------------------------------------------

Look here junior, don't you be so happy.
And for Heaven's sake, don't you be so sad.                 (Tom Verlaine)

------------------------------------------------------------------------------
Henk Uijterwaal                           Email: henk.uijterwaal(at)ripe.net
RIPE Network Coordination Centre          http://www.amsterdamned.org/~henk
P.O.Box 10096          Singel 258         Phone: +31.20.5354414
1001 EB Amsterdam      1016 AB Amsterdam  Fax: +31.20.5354445
The Netherlands        The Netherlands    Mobile: +31.6.55861746
------------------------------------------------------------------------------

1160438400. Watch this space... 

_______________________________________________
ippm mailing list
[email-masked] 
https://www1.ietf.org/mailman/listinfo/ippm

---

From: Nischal M Piratla <[email-masked]>
Date: Wed, 28 Dec 2005 15:34:54 -0700

>any points that you might have on the above on the list before

Dear IPPM-Reordering-draft Authors,

After looking at the ippm reordering draft references, I would suggest that a 
references to RD publications be also placed, along with RBD 
publication[TBABAJ02] from us (CSU).

Here are the citations for suggested additions, to the list of references:

Nischal M. Piratla, Anura P. Jayasumana and Tarun Banka, "On Reorder Density 
and its Application to Characterization of Packet Reordering," Proceedings 
30th IEEE Local Computer Networks Conference (LCN 2005, Sydney, Australia, 
Nov. 2005, pp: 156-163.

Nischal M. Piratla, Anura Jayasumana and Abhijit Bare, "RD: A Formal, 
Comprehensive Metric for Packet Reordering," Proceedings, 4th International 
IFIP-TC6 Networking Conference (Networking 2005), Waterloo, Canada, May 2-6, 
2005, LNCS 3462, pp: 78-89.

Thank you,
Nischal Piratla

[This email id. may not be active after few months, please use nischal_piratla at "yahoo" dot "com"]

Senior Research Scientist
Deutsche Telekom AG Laboratories
Ernst-Reuter-Platz 7, D10587
Berlin, Germany